/*
 * yasapi_mnemonic_engine_state.c
 *
 * Yet Another (WA)SAPI (YASAPI) New Technology (NT) Output (out_yasapi-nt)
 * Copyright (C) 2015-2018  Peter Belkner (pbelkner@snafu.de)
 *
 * out_yasapi-nt is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * out_yasapi-nt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with out_yasapi-nt.  If not, see <https://www.gnu.org/licenses/>.
 */
#include <yasapi.h>

///////////////////////////////////////////////////////////////////////////////
/*
 * We leave to the linker to decide whether we're needed or not.
 */
const char *EngineStateEx(EEngine eState)
{
  const char *mnemonic[1+eEngineMax]={
    "undefined",
    "eEngineNull",
    "eEngineCriticalSection",
    "eEngineTimerEvent",
    "eEngineTimer",
    "eEngineEventProducer",
    "eEngineEventConsumer",
    "eEngineThread",
    "eEngineThreadRunning",
    "eEngineAudioClientInititial",
    "eEngineRing",
    "eEnginePauseDisconnected",
    "eEngineAudioClient",
    "eEngineVolume",
    "eEngineAudioClock",
    "eEngineAudioRenderClient",
    "eEnginePauseConnected",
    "eEngineAudioClientStarted",
    "eEngineTimerStarted",
    "eEngineDraining",
    "eEngineEot",
  };

  return mnemonic[0<=eState&&eState<eEngineMax?1+eState:0];
}

const char *EngineState(Engine *pEngine)
{
  return EngineStateEx(pEngine->eState);
}
